{"components":{"schemas":{"Address":{"properties":{"address":{"description":"Postal address, street/P.O BOX","type":"string"},"coAddress":{"description":"Postal address, C/O address","type":"string"},"commune":{"description":"Postal address, commune name","type":"string"},"communeCode":{"description":"Postal address, commune code","type":"string"},"region":{"description":"Postal address, region name","type":"string"},"regionCode":{"description":"Postal address, region code","type":"string"},"town":{"description":"Postal address, town","type":"string"},"zipCode":{"description":"Postal address, zipcode","type":"string"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"Contact":{"properties":{"email":{"description":"Email address","type":"string"},"faxNumber":{"description":"Fax number","type":"string"},"phoneNumber":{"description":"Telephone number","type":"string"}},"type":"object"},"Establishment":{"properties":{"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"description":"Address details"},"commercialBlockText":{"description":"Commercial block text","type":"string"},"companyEstablishmentNumber":{"description":"Company establishment number","type":"string"},"contact":{"allOf":[{"$ref":"#/components/schemas/Contact"}],"description":"Contact details"},"industry":{"allOf":[{"$ref":"#/components/schemas/Industry"}],"description":"Industry details"},"numberEmployeesInterval":{"description":"Number of employees (interval)","type":"string"},"officeName":{"description":"Office name","type":"string"},"officeType":{"description":"Office type","type":"string"},"visitAddress":{"allOf":[{"$ref":"#/components/schemas/Address"}],"description":"Visiting address details"}},"type":"object"},"EstablishmentsResult":{"properties":{"changeDate":{"description":"Date for when the record was changed","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"establishments":{"description":"Company establishments","items":{"$ref":"#/components/schemas/Establishment"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"Industry":{"properties":{"code":{"description":"Company main industry, NACE code","type":"string"},"text":{"description":"Company main industry, NACE text","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Shows a company's workplaces (geographical workplaces). You will receive information about workplace number (CFAR), workplace name, contact information, and postal and delivery address. Is used to keep track of a company's different Local Units and their postal and delivery addresses.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Establishments","version":"2.0","x-logo":{"url":"https://assets.roaring.io/svg/work-places-icon-v3.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"operationId":"viewEstablishment","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EstablishmentsResult"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. too many entities are requested or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get establishments from a single company","tags":["Establishments"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/establishment/2.0"}],"x-category":"company","x-countries":["se"],"x-id":"Establishments"}